# Uses of Interface
org.eclipse.net4j.db.ddl.IDBIndex

Packages that use IDBIndex
Package
Description
org.eclipse.net4j.db.ddl
The Net4j DB framework concepts for the abstraction of the SQL data definition language.
org.eclipse.net4j.db.ddl.delta
The Net4j DB framework concepts for the abstraction of schema deltas.
org.eclipse.net4j.db.mysql
The Net4j DB Framework support for MYSQL databases.
org.eclipse.net4j.spi.db
Server service provider interfaces and useful base implementations for the Net4j DB framework.
org.eclipse.net4j.spi.db.ddl
Server service provider interfaces for the Net4j DB framework.

## Uses of IDBIndex in org.eclipse.net4j.db.ddl

Methods in org.eclipse.net4j.db.ddl that return IDBIndex
Modifier and Type
Method
Description
`IDBIndex`
IDBTable.`addIndex(String name, IDBIndex.Type type, String... fieldNames)`
`IDBIndex`
IDBTable.`addIndex(String name, IDBIndex.Type type, IDBField... fields)`
`IDBIndex`
IDBTable.`addIndex(IDBIndex.Type type, String... fieldNames)`
`IDBIndex`
IDBTable.`addIndex(IDBIndex.Type type, IDBField... fields)`
`IDBIndex`
IDBTable.`addIndexEmpty(String name, IDBIndex.Type type)`
`IDBIndex`
IDBTable.`addIndexEmpty(IDBIndex.Type type)`
`IDBIndex`
IDBIndexField.`getIndex()`
`IDBIndex`
IDBTable.`getIndex(int position)`
`IDBIndex`
IDBTable.`getIndex(String name)`
`IDBIndex`
IDBTable.`getIndexSafe(String name)`
`IDBIndex[]`
IDBField.`getIndices()`
`IDBIndex[]`
IDBTable.`getIndices()`
`IDBIndex`
IDBIndexField.`getParent()`
`IDBIndex`
IDBTable.`getPrimaryKeyIndex()`
Methods in org.eclipse.net4j.db.ddl with parameters of type IDBIndex
Modifier and Type
Method
Description
`void`
IDBSchemaVisitor.Default.`visit(IDBIndex element)`
`void`
IDBSchemaVisitor.`visit(IDBIndex index)`

## Uses of IDBIndex in org.eclipse.net4j.db.ddl.delta

Methods in org.eclipse.net4j.db.ddl.delta that return IDBIndex
Modifier and Type
Method
Description
`IDBIndex`
IDBIndexDelta.`getSchemaElement(IDBSchema schema)`

## Uses of IDBIndex in org.eclipse.net4j.db.mysql

Methods in org.eclipse.net4j.db.mysql with parameters of type IDBIndex
Modifier and Type
Method
Description
`protected void`
MYSQLAdapter.`dropPrimaryKey(IDBIndex index, StringBuilder builder)`

## Uses of IDBIndex in org.eclipse.net4j.spi.db

Methods in org.eclipse.net4j.spi.db with parameters of type IDBIndex
Modifier and Type
Method
Description
`protected void`
DBAdapter.`createIndex(Connection connection, IDBIndex index, IDBIndexDelta delta)`
`protected void`
DBAdapter.`createIndex(IDBIndex index, StringBuilder builder)`
`protected void`
DBAdapter.`createIndex(IDBIndex index, Statement statement, int num)`
`protected void`
DBAdapter.`createIndexFields(IDBIndex index, StringBuilder builder)`
`protected void`
DBAdapter.`createPrimaryKey(IDBIndex index, StringBuilder builder)`
`protected void`
DBAdapter.`dropIndex(Connection connection, IDBIndex index, IDBIndexDelta delta)`
`protected void`
DBAdapter.`dropIndex(IDBIndex index, StringBuilder builder)`
`protected void`
DBAdapter.`dropPrimaryKey(IDBIndex index, StringBuilder builder)`

## Uses of IDBIndex in org.eclipse.net4j.spi.db.ddl

Subinterfaces of IDBIndex in org.eclipse.net4j.spi.db.ddl
Modifier and Type
Interface
Description
`interface`
`InternalDBIndex`
Fields in org.eclipse.net4j.spi.db.ddl declared as IDBIndex
Modifier and Type
Field
Description
`static final IDBIndex[]`
InternalDBTable.`NO_INDICES`
Methods in org.eclipse.net4j.spi.db.ddl that return IDBIndex
Modifier and Type
Method
Description
`IDBIndex`
InternalDBIndex.`getWrapper()`
Methods in org.eclipse.net4j.spi.db.ddl with parameters of type IDBIndex
Modifier and Type
Method
Description
`void`
InternalDBTable.`removeIndex(IDBIndex indexToRemove)`